Subject: Re: [PATCH -next] net: dsa: Simplify with scoped for each OF child loop

From: Jakub Kicinski <[email-masked]>
Date: Wed, 21 Aug 2024 17:18:17 -0700

On Tue, 20 Aug 2024 14:58:04 +0800 Jinjie Ruan wrote:
> Use scoped for_each_available_child_of_node_scoped() when iterating over
> device nodes to make code a bit simpler.

Could you add more info here that confirms this works with gotos?
I don't recall the details but I thought sometimes the scoped
constructs don't do well with gotos. I checked 5 random uses
of this loop and 4 of them didn't have gotos.